# gemlog.sh

Utility for writing and managing gemini logs (gemlogs) and atom feeds without
needing a cgi script.

After 0.2.0, I'm no longer having my personal configuration on master, but as
I'm replacing it with placeholder data, it may have a conflict for this one
upgrade. Sorry for the inconvenience.

Dependencies:
other than `toot` you really should have all these installed if you're on linux.
* `bash` and all its goodies (duh)
* `perl`
* `date`
* `tr`
* `sed`
* [the toot cli](https://github.com/ihabunek/toot) — only if you're using the
  automatic mastodon toot functionality

To install:
1. put it wherever you want and just add it to path
2. make sure you modify `make_globals()` and `build_entries()` in the script to
   customize it to your gemlog.

To use:
1. Write your post in .gmi format. The first header of any level on the page
   will be used as a title (it doesn't have to be on the first line). The
   script will detect any .gmi files that start with a number and assume
   they're blog posts. It'll display them in reverse alphabetical order, so I
   recommend to name your files like `YYYY-MM-DD.gmi` or
   `YYYY-MM-DD-title-here.gmi` so you get them sorted nicely in reverse
   chronological order.
2. make sure you're in your gemlog directory then run `gemlog.sh` to build the
   index page and the atom feed
3. if you want your atom feed to be accessible over the web as well as gemini,
   symlink the atom.xml file to your web server directory

